//
// $Id: $

package com.threerings.i18n;

/**
 * Stores singular and plural message translation keys, for
 * use with {@link I18n#ngettext(String, String, long, Object...)}
 */
public class PluralMessage {
	public PluralMessage (String msgid, String msgid_plural) {
		_msgid = msgid;
		_msgid_plural = msgid_plural;
	}

	/**
	 * Returns the singular translation key.
	 */
	public String getSingular () {
		return _msgid;
	}

	/**
	 * Returns the plural translation key.
	 */
	public String getPlural () {
		return _msgid_plural;
	}

	/** Singular message key */
	private String _msgid;

	/** Plural message key */
	private String _msgid_plural;
}