/*
 * Copyright 2007 Three Rings Design, Inc.
 */
package com.threerings.jsp.taglib.affiliates;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.SimpleTagSupport;

import com.threerings.jsp.taglib.utils.ContextManager;

/**
 * Set the affiliate to the one in the affiliate param
 */
public class SetAffiliateTag extends SimpleTagSupport
{
    @Override
    public void doTag ()
        throws JspException
    {
        final PageContext pageContext = (PageContext) getJspContext();
        final HttpServletRequest req = (HttpServletRequest) pageContext.getRequest();
        final HttpServletResponse rsp = (HttpServletResponse) pageContext.getResponse();
        final ContextManager contextManager = ContextManager.getContextManager(pageContext);
        final AffiliateManager affiliateManager = contextManager.getAffiliateManager();

        if (_affiliate != null) {
            if (_affiliate.equals("none")) {
                affiliateManager.setAffiliateId(req, rsp, null, true);
            }
            else {
                String affiliateId = affiliateManager.parseAffiliate(_affiliate);
                affiliateManager.setAffiliateId(req, rsp, affiliateId, true);
            }
        }
    }
    /**
     * Set the affiliate string id (eg "miniclip")
     */
    public void setAffiliate (String affiliate) {
        _affiliate = affiliate;
    }
    /** The affiliate string id (eg "miniclip") */
    private String _affiliate;
}