package com.threerings.jsp.taglib.choose;

import java.io.IOException;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.tagext.SimpleTagSupport;

/**
 * Prints out the value of the current style into the page.
 */
public class PrintStyleTag extends SimpleTagSupport
{
    @Override
    public void doTag ()
        throws JspException, IOException
    {
        // this must appear within the correct parent tag
        StylingTag parentTag = (StylingTag) findAncestorWithClass(this, StylingTag.class);
        if (parentTag == null) {
            throw new JspTagException(
                "style:printstyle tags only valid within a style:styling tag.");
        }

        getJspContext().getOut().write(parentTag.getStyle());
    }
}
