package com.threerings.jsp.taglib.form;

/**
 * Implementation of ValidatorTag that matches nonzero-length field values.
 */
public class ExistsValidatorTag extends ValidatorTag
{
    /**
     * Returns true if the fieldValue is not null and has length greater than zero.
     */
    @Override
    protected boolean isValid (String fieldValue)
    {
        if (fieldValue != null && fieldValue.length() > 0) {
            return true;
        }
        return false;
    }
}