package com.threerings.jsp.taglib.form;

import javax.servlet.jsp.JspTagException;

import com.threerings.jsp.taglib.xhtml.OverrideTag;

/**
 * Displays an HTML Option tag
 */
public class OptionTag extends OverrideTag
{
    @Override
    protected String tagName ()
    {
        return "option";
    }

    @Override
    public void doTag ()
        throws JspTagException
    {
        // must appear within a Select tag
        final SelectTag selectTag = (SelectTag) findAncestorWithClass(this, SelectTag.class);
        if (selectTag == null) {
            throw new JspTagException("Option tags must appear within a Select tag.");
        }

        if (selectTag.isSelected(_value)) {
            super.setDynamicAttribute("", "selected", "selected");
        }
        super.doTag();
    }

    /**
     * Value is required for selection matching.  Also pass to parent tag so it will be printed
     * as an attribute.
     */
    public void setValue (String value) {
        _value = value;
        super.setDynamicAttribute("", "value", value);
    }
    private String _value;
}