package com.threerings.jsp.taglib.i18n.currency;

import java.util.Locale;

public interface LocaleCurrencyMap
{
    /**
     * Return true if the given currency is considered to be foreign in the given locale, i.e. consumers in that locale
     * would not normally expect to do business in that currency and should therefore be shown a quote in a
     * familiar currency.
     */
    boolean isCurrencyForeign (Locale locale, LocalizableCurrency currency);

    /**
     * Return a currency which is by default used for day-to-day business in the given locale.
     */
    LocalizableCurrency currencyForLocale (Locale displayLocale);
}
