package com.threerings.jsp.taglib.i18n.currency;

import java.io.IOException;

import javax.servlet.jsp.JspContext;
import javax.servlet.jsp.tagext.SimpleTagSupport;

public class QuoteTag extends SimpleTagSupport
{
    private static final String QUOTE_ATTRIBUTE = QuoteTag.class.getCanonicalName()+".quote";

    public static void setQuote (JspContext context, LocalizableMoney quote)
    {
        context.setAttribute(QUOTE_ATTRIBUTE, quote);
    }

    private LocalizableMoney getQuote (JspContext context)
    {
        return (LocalizableMoney) context.getAttribute(QUOTE_ATTRIBUTE);
    }

    @Override
    public void doTag () throws IOException {
        final JspContext context = getJspContext();
        context.getOut().print(getQuote(context).getXML());
    }
}
