/*
 * Copyright 2007 Three Rings Design, Inc.
 * Copyright 1999,2004 The Apache Software Foundation.
 *
 * This file's implementation is based entirely on code from
 * Jakarta Taglibs's BundleTag, authored by Tim Dawson <tdawson@wamnet.com>
 */

package com.threerings.jsp.taglib.i18n.resources;

import java.util.Locale;

import javax.servlet.jsp.PageContext;

import com.threerings.i18n.I18n;

/**
 * Contains static public functions to interact with the private ResourceHelper.
 */
public class LocaleFetcher
{
    /**
     * Return the current locale for a given page context.
     */
    static public Locale getLocale (PageContext pageContext)
    {
        I18n i18n = ResourceHelper.getI18n(pageContext);
        return (i18n == null) ? null : i18n.getLocale();
    }
}
