package com.threerings.jsp.taglib.i18n.resources;

import java.io.IOException;
import java.io.Writer;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.SimpleTagSupport;

import com.threerings.i18n.I18n;

/**
 * Writes the string version of the current locale to output.
 */
public class PrintLocaleTag extends SimpleTagSupport
{
    @Override
    public void doTag()
        throws JspException, IOException
    {
        // get the i18n bundle
        final I18n i18n = ResourceHelper.getI18n((PageContext)getJspContext());
        if (i18n == null) {
            throw new JspTagException("i18n:printLocale tag, no bundle available for use.");
        }
        final Writer out = getJspContext().getOut();
        out.write(i18n.getLocale().toString());
    }
}