/*
 * Copyright 2007 Three Rings Design, Inc.
 */
package com.threerings.jsp.taglib.tracking;

/**
 * Provides a centralized location for tracking information on an individual.
 */
public class Visitor {

    public Visitor (String trackingId, boolean newVisitor)
    {
        _trackingId = trackingId;
        _newVisitor = newVisitor;
    }

    public String getTrackingId ()
    {
        return _trackingId;
    }

    public boolean isNewVisitor ()
    {
        return _newVisitor;
    }

    /** UUID assigned by the DefaultTrackingFilter */
    private final String _trackingId;

    /** Set to true during the visitor's first session. */
    private final boolean _newVisitor;
}